/*
 * CS5App.java -- Mystery Methods
 *
 * Homework # 5
 * Problem  # 1
 *
 * Name:
 * Date:
 * Time spent:
 *
 * There is no coding required for this problem.
 *
 * Please write two clear paragraphs about the code below:
 *
 *   (1) First, write one that describes what this code does and how.
 *   Be sure to mention what the methods wgap and cgap do.
 *
 *
 *
 *   (2) Second, write a paragraph that points out at least two
 *   problems with this code, e.g., cases not handled or other
 *   limitations. Describe generally how you would fix them (you 
 *   may fix the code if you like, but this is not required).
 *
 * 
 *
 */

import java.awt.*;

class CS5App
{
    
    /*
     * main is where it all begins...
     */
    public static void main(String[] args)
    {
        H.pl("Welcome to the mystery program.");      // welcome the user
    
        H.pl("Input two words:  ");  // prompt the user
        String word1 = H.nw();       // get the first of two words
        String word2 = H.nw();       // get the second of two words
    
        H.pl("The answer is " + wgap(word1,word2));   // print the "answer"
    }
    
    
    //
    // This method (wgap) takes two Strings as input and outputs a double.
    //   We don't comment further, because that's the "mystery"...
    //
    public static double wgap(String w1, String w2)
    {
        double d = 0.0;
    
        for (int i=0 ; i<4 ; ++i)
        {
            d += cgap(w1.charAt(i), w2.charAt(i));
        }
    
        return d/4;
    }
    
    
    //
    // This method (cgap) takes two chars as input and outputs an int.
    //   We don't comment further, because that's the "mystery"...
    //    
    public static int cgap(char c1, char c2)
    {
        int d = 0;  
    
        if (c1 > c2)
        {
            // Math.min returns the smaller of its two inputs
            d = Math.min(c1-c2, 26-(c1-c2));  
        }
        else // c2 >= c1
        {
            d = Math.min(c2-c1, 26-(c2-c1));
        } 
        return d;
    }

    
}

